<?php
/**
 * Chiropractor Therapy functions and definitions
 *
 * @subpackage Chiropractor Therapy
 * @since 1.0
 */

// theme setup
function chiropractor_therapy_setup() {
	add_theme_support( 'woocommerce' );
	add_theme_support( "align-wide" );
	add_theme_support( "wp-block-styles" );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'title-tag' );
	add_theme_support('custom-background',array(
		'default-color' => 'ffffff',
	));
	add_image_size( 'chiropractor-therapy-featured-image', 2000, 1200, true );
	add_image_size( 'chiropractor-therapy-thumbnail-avatar', 100, 100, true );

	load_theme_textdomain( 'chiropractor-therapy', get_template_directory() . '/languages' );

	$GLOBALS['content_width'] = 525;
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'chiropractor-therapy' ),
	) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );
	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio','quote',) );
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css' ) );

	if ( ! defined( 'CHIROPRACTOR_THERAPY_SUPPORT' ) ) {
	define('CHIROPRACTOR_THERAPY_SUPPORT',__('https://wordpress.org/support/theme/chiropractor-therapy','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_REVIEW' ) ) {
	define('CHIROPRACTOR_THERAPY_REVIEW',__('https://wordpress.org/support/theme/chiropractor-therapy/reviews/#new-post','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_LIVE_DEMO' ) ) {
	define('CHIROPRACTOR_THERAPY_LIVE_DEMO',__('https://trial.ovationthemes.com/chiropractor-therapy/','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_BUY_PRO' ) ) {
	define('CHIROPRACTOR_THERAPY_BUY_PRO',__('https://www.ovationthemes.com/products/chiropractor-wordpress-theme','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_PRO_DOC' ) ) {
	define('CHIROPRACTOR_THERAPY_PRO_DOC',__('https://trial.ovationthemes.com/docs/ot-chiropractor-therapy-pro-doc/','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_FREE_DOC' ) ) {
	define('CHIROPRACTOR_THERAPY_FREE_DOC',__('https://trial.ovationthemes.com/docs/ot-chiropractor-therapy-free-doc/','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_THEME_NAME' ) ) {
	define('CHIROPRACTOR_THERAPY_THEME_NAME',__('Premium Therapy Theme','chiropractor-therapy'));
	}
	if ( ! defined( 'CHIROPRACTOR_THERAPY_BUNDLE_LINK' ) ) {
	define('CHIROPRACTOR_THERAPY_BUNDLE_LINK',__('https://www.ovationthemes.com/products/wordpress-bundle','chiropractor-therapy'));
	}
	require get_template_directory() . '/inc/dashboard/dashboard-settings.php';
	require get_template_directory() . '/inc/admin/theme-upsell.php';
}
add_action( 'after_setup_theme', 'chiropractor_therapy_setup' );

//woocommerce//
//shop page no of columns
function chiropractor_therapy_woocommerce_loop_columns() {
	
	$retrun = get_theme_mod( 'chiropractor_therapy_archieve_item_columns', 3 );
    
    return $retrun;
}
add_filter( 'loop_shop_columns', 'chiropractor_therapy_woocommerce_loop_columns' );
function chiropractor_therapy_woocommerce_products_per_page() {

		$retrun = get_theme_mod( 'chiropractor_therapy_archieve_shop_perpage', 6 );
    
    return $retrun;
}
add_filter( 'loop_shop_per_page', 'chiropractor_therapy_woocommerce_products_per_page' );
// related products
function chiropractor_therapy_related_products_args( $args ) {
    $defaults = array(
        'posts_per_page' => get_theme_mod( 'chiropractor_therapy_related_shop_perpage', 3 ),
        'columns'        => get_theme_mod( 'chiropractor_therapy_related_item_columns', 3),
    );

    $args = wp_parse_args( $defaults, $args );

    return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'chiropractor_therapy_related_products_args' );

// breadcrumb seperator
function chiropractor_therapy_woocommerce_breadcrumb_separator($chiropractor_therapy_defaults) {
    $chiropractor_therapy_separator = get_theme_mod('woocommerce_breadcrumb_separator', ' / ');

    // Update the separator
    $chiropractor_therapy_defaults['delimiter'] = $chiropractor_therapy_separator;

    return $chiropractor_therapy_defaults;
}
add_filter('woocommerce_breadcrumb_defaults', 'chiropractor_therapy_woocommerce_breadcrumb_separator');

//add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($chiropractor_therapy_classes, $class, $product_id) {
	    if( is_shop() || is_product_category() ){
	        
	        $chiropractor_therapy_classes = array_merge(['wow','zoomIn'], $chiropractor_therapy_classes);
	    }
	    return $chiropractor_therapy_classes;
	},10,3);
}

//woocommerce-end//

// Admin scripts and styles
function chiropractor_therapy_enqueue_admin_script( $hook ) {
	wp_enqueue_style(
		'chiropractor-therapy-admin-style',
		get_template_directory_uri() . '/assets/css/admin-style.css'
	);
	wp_enqueue_script(
		'chiropractor-therapy-admin-js',
		get_theme_file_uri( '/assets/js/chiropractor-therapy-admin.js' ),
		array( 'jquery' ),
		'1.0.0',
		true
	);
	wp_localize_script(
		'chiropractor-therapy-admin-js',
		'chiropractor_therapy_localize',
		array(
			'ajax_url'      => admin_url( 'admin-ajax.php' ),
			'nonce'         => wp_create_nonce( 'chiropractor_therapy_dismissed_notice_nonce' ),
			'dismiss_nonce' => wp_create_nonce( 'chiropractor_therapy_dismissed_notice_nonce' ),
		)
	);
}
add_action( 'admin_enqueue_scripts', 'chiropractor_therapy_enqueue_admin_script' );

function chiropractor_therapy_excerpt_enabled(){
	if(get_theme_mod('chiropractor_therapy_blog_meta_content') == 'Excerpt Content' ) {
		return true;
	}
	return false;
}

/* Excerpt Limit Begin */
function chiropractor_therapy_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

// tag count
function chiropractor_therapy_display_post_tag_count() {
    $chiropractor_therapy_tags = get_the_tags();
    $chiropractor_therapy_tag_count = ($chiropractor_therapy_tags) ? count($chiropractor_therapy_tags) : 0;
    $chiropractor_therapy_tag_text = ($chiropractor_therapy_tag_count === 1) ? 'tag' : 'tags';
    echo $chiropractor_therapy_tag_count . ' ' . $chiropractor_therapy_tag_text;
}

// Date formatting
function chiropractor_therapy_display_shop_date() {
    // Get the date type option
    $chiropractor_therapy_date_type = get_theme_mod( 'chiropractor_therapy_date_type', 'published' );

    // Determine the date to display based on the type
    if ( $chiropractor_therapy_date_type === 'modified' && get_the_modified_time( 'U' ) !== get_the_time( 'U' ) ) {
        $chiropractor_therapy_date_to_display = get_the_modified_date( get_option( 'date_format' ) );
    } else {
        $chiropractor_therapy_date_to_display = get_the_date( get_option( 'date_format' ) );
    }

    // Output the date HTML

    echo esc_html( $chiropractor_therapy_date_to_display );
}

//media post format
function chiropractor_therapy_get_media($chiropractor_therapy_type = array()){
	$chiropractor_therapy_content = apply_filters( 'the_content', get_the_content() );
  	$output = false;

  // Only get media from the content if a playlist isn't present.
  if ( false === strpos( $chiropractor_therapy_content, 'wp-playlist-script' ) ) {
    $output = get_media_embedded_in_content( $chiropractor_therapy_content, $chiropractor_therapy_type );
    return $output;
  }
}

// post meta //
function chiropractor_therapy_custom_courses() {
  add_meta_box( 'bn_meta', __( 'Courses Meta Feilds', 'chiropractor-therapy' ), 'chiropractor_therapy_meta_courses_callback', 'post', 'normal', 'high' );
}
if (is_admin()){
  add_action('admin_menu', 'chiropractor_therapy_custom_courses');
}
function chiropractor_therapy_meta_courses_callback( $post ) {
	wp_nonce_field( basename( __FILE__ ), 'chiropractor_therapy_courses_meta' );
		$bn_stored_meta = get_post_meta( $post->ID );
		$chiropractor_therapy_teacher = get_post_meta( $post->ID, 'chiropractor_therapy_teacher', true );
		$chiropractor_therapy_student = get_post_meta( $post->ID, 'chiropractor_therapy_student', true );
		$chiropractor_therapy_lesson = get_post_meta( $post->ID, 'chiropractor_therapy_lesson', true );
	?>
  	<div id="custom_meta_feilds">
    	<table id="list">
	      	<tbody id="the-list" data-wp-lists="list:meta">
				<tr id="meta-8">
					<td class="left">
						<?php esc_html_e( 'Teacher Name', 'chiropractor-therapy' )?>
					</td>
					<td class="left">
						<input type="text" name="chiropractor_therapy_teacher" id="chiropractor_therapy_teacher" value="<?php echo esc_attr($chiropractor_therapy_teacher); ?>" />
					</td>
				</tr>
				<tr id="meta-8">
					<td class="left">
						<?php esc_html_e( 'Count of students', 'chiropractor-therapy' )?>
					</td>
					<td class="left">
						<input type="text" name="chiropractor_therapy_student" id="chiropractor_therapy_student" value="<?php echo esc_attr($chiropractor_therapy_student); ?>" />
					</td>
				</tr>
				<tr id="meta-8">
					<td class="left">
						<?php esc_html_e( 'Count of lessons', 'chiropractor-therapy' )?>
					</td>
					<td class="left">
						<input type="text" name="chiropractor_therapy_lesson" id="chiropractor_therapy_lesson" value="<?php echo esc_attr($chiropractor_therapy_lesson); ?>" />
					</td>
				</tr>
	      	</tbody>
    	</table>
  	</div>
  <?php
}
function chiropractor_therapy_save( $post_id ) {
	if (!isset($_POST['chiropractor_therapy_courses_meta']) || !wp_verify_nonce( strip_tags( wp_unslash( $_POST['chiropractor_therapy_courses_meta']) ), basename(__FILE__))) {
  		return;
  	}

	if (!current_user_can('edit_post', $post_id)) {
		return;
	}
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return;
	}

	if( isset( $_POST[ 'chiropractor_therapy_teacher' ] ) ) {
		update_post_meta( $post_id, 'chiropractor_therapy_teacher', strip_tags( wp_unslash( $_POST[ 'chiropractor_therapy_teacher' ]) ) );
	}
	if( isset( $_POST[ 'chiropractor_therapy_student' ] ) ) {
		update_post_meta( $post_id, 'chiropractor_therapy_student', strip_tags( wp_unslash( $_POST[ 'chiropractor_therapy_student' ]) ) );
	}
	if( isset( $_POST[ 'chiropractor_therapy_lesson' ] ) ) {
		update_post_meta( $post_id, 'chiropractor_therapy_lesson', strip_tags( wp_unslash( $_POST[ 'chiropractor_therapy_lesson' ]) ) );
	}
}
add_action( 'save_post', 'chiropractor_therapy_save' );
//post-meta-end//

// front page template
function chiropractor_therapy_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'chiropractor_therapy_front_page_template' );

// excerpt function
function chiropractor_therapy_custom_excerpt() {
    $chiropractor_therapy_excerpt = get_the_excerpt();
    $chiropractor_therapy_plain_text_excerpt = wp_strip_all_tags($chiropractor_therapy_excerpt);
    
    // Get dynamic word limit from theme mod
    $chiropractor_therapy_word_limit = esc_attr(get_theme_mod('chiropractor_therapy_post_excerpt', '30'));
    
    // Limit the number of words
    $chiropractor_therapy_limited_excerpt = implode(' ', array_slice(explode(' ', $chiropractor_therapy_plain_text_excerpt), 0, $chiropractor_therapy_word_limit));

    echo esc_html($chiropractor_therapy_limited_excerpt);
}

// typography
function chiropractor_therapy_fonts_scripts() {
	$headings_font = esc_html(get_theme_mod('chiropractor_therapy_headings_text'));
	$body_font = esc_html(get_theme_mod('chiropractor_therapy_body_text'));

	if( $headings_font ) {
		wp_enqueue_style( 'chiropractor-therapy-headings-fonts', '//fonts.googleapis.com/css?family='. $headings_font );
	} else {
		wp_enqueue_style( 'chiropractor-therapy-source-sans', '//fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic');
	}
	if( $body_font ) {
		wp_enqueue_style( 'chiropractor-therapy-body-fonts', '//fonts.googleapis.com/css?family='. $body_font );
	} else {
		wp_enqueue_style( 'chiropractor-therapy-source-body', '//fonts.googleapis.com/css?family=Source+Sans+Pro:400,300,400italic,700,600');
	}
}
add_action( 'wp_enqueue_scripts', 'chiropractor_therapy_fonts_scripts' );

// Footer Text
function chiropractor_therapy_copyright_link() {
    $chiropractor_therapy_footer_text = get_theme_mod('chiropractor_therapy_footer_text', esc_html__('Therapy WordPress Theme', 'chiropractor-therapy'));
    $chiropractor_therapy_credit_link = esc_url('https://www.ovationthemes.com/products/free-therapy-wordpress-theme');

    echo '<a href="' . $chiropractor_therapy_credit_link . '" target="_blank">' . esc_html($chiropractor_therapy_footer_text) . '<span class="footer-copyright">' . esc_html__(' By Ovation Themes', 'chiropractor-therapy') . '</span></a>';
}

// custom sanitizations
// dropdown
function chiropractor_therapy_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}
// slider custom control
if ( ! function_exists( 'chiropractor_therapy_sanitize_integer' ) ) {
	function chiropractor_therapy_sanitize_integer( $input ) {
		return (int) $input;
	}
}
//range control
function chiropractor_therapy_sanitize_number_absint( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}
// select post page
function chiropractor_therapy_sanitize_select( $input, $setting ){
    $input = sanitize_key($input);
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}
// toggle switch
function chiropractor_therapy_callback_sanitize_switch( $value ) {
	// Switch values must be equal to 1 of off. Off is indicator and should not be translated.
	return ( ( isset( $value ) && $value == 1 ) ? 1 : 'off' );
}
//choices control
function chiropractor_therapy_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

// Sanitize Sortable control.
function chiropractor_therapy_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}


// widgets
function chiropractor_therapy_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'chiropractor-therapy' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'chiropractor-therapy' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your pages and posts', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );
	
	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'chiropractor-therapy' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'chiropractor-therapy' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'chiropractor-therapy' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'chiropractor-therapy' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'chiropractor-therapy' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'chiropractor-therapy' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'chiropractor_therapy_widgets_init' );

//Enqueue scripts and styles.
function chiropractor_therapy_scripts() {

	require_once get_theme_file_path( 'inc/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'outfit',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;300;400;500;600;700;800;900&display=swap' ),
		array(),
		'1.0'
	);

	//Bootstarp
	wp_enqueue_style( 'bootstrap-style', get_template_directory_uri().'/assets/css/bootstrap.css' );

	// Theme stylesheet.
	wp_enqueue_style( 'chiropractor-therapy-style', get_stylesheet_uri() );

	wp_style_add_data('chiropractor-therapy-style', 'rtl', 'replace');

	// Theme Customize CSS.
	require get_parent_theme_file_path( 'inc/extra_customization.php' );
	wp_add_inline_style( 'chiropractor-therapy-style',$chiropractor_therapy_custom_style );

	//font-awesome
	wp_enqueue_style( 'font-awesome-style', get_template_directory_uri().'/assets/css/fontawesome-all.css' );

	//Owl Carousel CSS
	wp_enqueue_style( 'owl.carousel-style', get_template_directory_uri().'/assets/css/owl.carousel.css' );

	// Block Style
	wp_enqueue_style( 'chiropractor-therapy-block-style', esc_url( get_template_directory_uri() ).'/assets/css/blocks.css' );

	//Custom JS
	wp_enqueue_script( 'chiropractor-therapy-custom.js', get_theme_file_uri( '/assets/js/theme-script.js' ), array( 'jquery' ), true );

	//Nav Focus JS
	wp_enqueue_script( 'chiropractor-therapy-navigation-focus', get_theme_file_uri( '/assets/js/navigation-focus.js' ), array( 'jquery' ), true );

	//Bootstarp JS
	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ),true );

	//Owl Carousel JS
	wp_enqueue_script( 'owl.carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ),true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if (get_option('chiropractor_therapy_animation_enable', false) !== 'off') {
		//wow.js
		wp_enqueue_script( 'chiropractor-therapy-wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );

		//animate.css
		wp_enqueue_style( 'chiropractor-therapy-animate-css', get_template_directory_uri().'/assets/css/animate.css' );
	}
}
add_action( 'wp_enqueue_scripts', 'chiropractor_therapy_scripts' );

function chiropractor_therapy_block_editor_styles() {
	// Block styles.
	wp_enqueue_style( 'chiropractor-therapy-block-editor-style', trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/assets/css/editor-blocks.css' );
}
add_action( 'enqueue_block_editor_assets', 'chiropractor_therapy_block_editor_styles' );

# Load scripts and styles.(fontawesome)
add_action( 'customize_controls_enqueue_scripts', 'chiropractor_therapy_customize_controls_register_scripts' );
function chiropractor_therapy_customize_controls_register_scripts() {
	wp_enqueue_style( 'chiropractor-therapy-ctypo-customize-controls-style', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
}

// enque files
require get_parent_theme_file_path( '/inc/custom-header.php' );
require get_parent_theme_file_path( '/inc/template-tags.php' );
require get_parent_theme_file_path( '/inc/template-functions.php' );
require get_parent_theme_file_path( '/inc/typofont.php' );
require get_parent_theme_file_path( '/inc/customizer.php' );
require get_parent_theme_file_path( '/inc/breadcrumb.php' );
require_once get_template_directory() . '/inc/admin/welcome-notice.php';
require get_parent_theme_file_path( 'inc/sortable/sortable_control.php' );